/* Global Styles */
*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: "Montserrat", sans-serif;
    font-size: 120%;
    background-color: #ffffff;
    color: #212529;
    line-height: 1.6;
}

/* Navbar Styles */
.navbar-brand {
    font-family: "Russo One", sans-serif;
    font-size: 150%;
}

.navbar-nav > a {
    font-size: 100%;
    
}

.navbar-expand-lg .navbar-nav .nav-link {
    color: #8078f5;
    padding: 0 20px;
}

/* Background and border */
.dropdown-menu {
    background-color: #343a40; /* Dark background */
    border: none; /* Remove border */
    border-radius: 5px; /* Rounded corners */
}

/* Text color */
.dropdown-item {
    color: #8078f5; /* Light text color */
}
.navbar-nav .nav-link:hover {
    background-color: #ff4d00;
    color: #ffffff;
    border-radius: 5px;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.dropdown-item:hover {
    background-color: #ff4d00;
    color: #ffffff;
    border-radius: 5px;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

/* Hover effects */
.dropdown-item:hover,
.dropdown-item:focus {
    background-color: #ff4d00; 
    color: #ffffff; 
    
    
    
}

/* Divider line */
.dropdown-divider {
    border-top: 1px solid #ff4d00; 
}

/* Dropdown toggle button */
.navbar-nav .dropdown-toggle::after {
    border-top-color: #ff5100; 
}


.dropdown-menu {
    padding: 10px; 
}

.dropdown-item {
    padding: 8px 16px; 
    margin-bottom: 5px; 
}


.dropdown-item {
    font-family: 'raleway', sans-serif;
    font-size: 14px; 
}
.dropdown-itemheader {
    font-family: 'raleway', sans-serif;
    font-size: 22px; 
    text-decoration: none;
    color: #ff5100; 
}
/* Banner Styles */

/* Container Styles */
.container,.container-fluid {
    width: 100%;
    padding: 0 1.5rem;
    margin: 0 auto;
    
}


.container-fluid > img {
    padding-right: 10px;
    height: 15%;
    width: 5%;
}

/* Background and Overlay Styles */
.bg-info {
    background-color: rgb(0, 0, 0) !important;
}

.gifmain {
    height: 150%;
    width: 188vh;
    z-index: -1;
}

.gifline {
    height: 7vh;
    width: 160vh;
    z-index: -1;
}


.mainlogo {
    height: 30vh;
    width: 30vh;
    
    
				
}

#banner {
    background-image: url('../img/personal_brand/background_intro1920x1080.gif');
    background-position: center;
    background-size: cover;
    padding: 50vh 10vh;
    
    color: rgb(255, 145, 0);
    z-index: -2;
}

.container-banner {
    
    z-index: 1;
}

/* Typography Styles */
.display-4 {
    padding-top: 50vh;
    font-family: "Russo One", sans-serif;
}

.display-5 {
    color: #000000;
    font-family: "Russo One", sans-serif;
}

.display-3 {
    color: #000000;
    font-family: "Russo One", sans-serif;
}

.display-2 {
    padding: 10vh 0 5vh;
    font-family: "Russo One", sans-serif;
}

.display-1 {
    font-family: "Russo One", sans-serif;
    font-size: 9rem;
  font-style: normal;
}

.display-6 {
    font-family: "Russo One", sans-serif;
 
  font-style: normal;
}


.about {
    padding-top: 15vh;
    padding-bottom: 26vh;
    background-color: #ff5e00;
    color: #000000;
}
.abouttext {
    color: rgb(255, 255, 255);
    padding-top: 1vh;
    z-index: 1;
}
.portrait {
    
    width: 600%;
    
}

#portfolio {
    background-color: #b651f5;
    padding: 10vh 0;
    color: #000000;
}
/* Portfolio Styles */
.portfolioitems {
    padding: 0vh 0;
    background-color: #8078f5;
    color: #000000;
    background-position: center;
    background-size: cover;
}


/* Card Styles */
.card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background-color: #b651f5;
    height: 100%;
    margin: 0;
    font-family: raleway, sans-serif;
    font-size: 120%;
    color: #ffffff;
    line-height: 1.6;
    position: relative;
    overflow: hidden;
}

.card img {
    transition: opacity 0.3s ease;
    width: 100%;
    height: 40vh;
    object-fit: cover;
}

.card:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(255, 123, 0, 0.945);
}

.card:hover img {
    opacity: 0.8;
}

.card-overlay {
    font-size: 1.5rem;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    
    color: rgb(0, 0, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    background-image: url(../img/personal_brand/background_intro1920x1080.gif)
}

.card:hover .card-overlay {
    opacity: 1;
}

.card-overlay h5 {
    font-size: 1.5rem;
}
/* card&modal citation:https://getbootstrap.com/docs/5.3/components/card/#grid-cards, https://getbootstrap.com/docs/5.3/components/modal/
Hover Effect citation: W3schools, bootstrap website & for mistake checks and the black overlay screen chatgpt has been consulted to learn how to do it */

/* Modal Styles */
.modal-content {
    align-self: center;
    background-color: rgba(255, 123, 0, 0.945);
    color: #8078f5;
    width: 100%;
    max-width: 1920px;
    min-width: 800px;
    padding: 2vh;
    border-radius: 10px;
    background-size: cover;
}

.modal-header {
    background-color: rgb(255, 255, 255);
}

.modal-body {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    font-size: 2vh;
    padding: 4vh;
}

.modal-footer {
   
    background-color: rgb(255, 255, 255);
    color: rgb(255, 255, 255);
    font-size: 2vh;
}

.btn-primary {
    align-items: center;
    background-color: rgb(255, 255, 255);
    color: rgba(255, 123, 0, 0.945);
    size: 10vh;
    font-size: 2vh;
}

.btn-primary:hover {
    background-color: rgba(255, 123, 0, 0.945);
    color: rgb(255, 255, 255);
    transition: opacity 0.5s ease;
    transform: scale(1.05);
}
#contact {
    background-color: rgba(255, 123, 0, 0.945);
    color: rgb(255, 255, 255);
}
/* Footer Styles */
footer {
    background-color: rgba(255, 255, 255, 0.945);
    color: rgba(255, 255, 255, 0.945);
    
    
}

#videography {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
}


/* Iframe Styles */
iframe {
    
    width: 59vh; 
    
}

.youtube-video {
    aspect-ratio: 16 / 9;
    width: 100%;
  }
  .podcast {
    aspect-ratio: 16 / 9;
    width: 100%;
  }

  .figma {
    aspect-ratio: 16 / 9;
    width: 100%;
  }
  .figmaproto {
    padding-left: 10vh;
    aspect-ratio: 16 / 9;
    width: 80%;
  }

/* Media Queries */
/* Mobile Styles */



@media (max-width: 767px) {
    body {
        font-size: 100%;
    }

    .navbar-brand {
        font-size: 120%;
    }

    .navbar-nav > a {
        font-size: 90%;
    }
    .navbar-toggler {
        background-color: #000000;
        
    }
    
    #banner {
        padding: 44vh 0rem 60vh; 
        background-image: url(../img/personal_brand/background_intro1920x1080.gif);
        background-size: 167vh;
        background-position: center;
        background-repeat: no-repeat;
        
        
    }
    .container {
        text-align: left; 
    }
/*  cite https://getbootstrap.com/docs/5.3/utilities/flex/#enable-flex-behaviors */
    .d-flex {
        flex-direction: column; /* Stack items vertically for smaller screens */
        align-items: flex-start; /* Align items to the left */
    }

    

    .container, .container-fluid {
        padding-top: 1vh;
        padding-bottom: 1vh;
        
       
    }

    .display-1 {
        font-size: 3.9vh;
        
        
        
        
    }
    .display-5 {
        font-size: 2.5vh;
        
    }
    .display-3 {    
        font-size: 3.0vh;
    }
    .display-6 {    
        font-size: 1.0vh;
    }

    .portrait {
        
        width: 90%;
        
        
        
    }

    .card img {
        height: 30vh;
    }

    .modal-content {
        padding: 0.5vh;
        width: 100%;
        max-width: 400px;
        min-width: 44vh;
        
        border-radius: 10px;
        background-size: cover;
    }

    .modal-body {
        font-size: 1.7vh;
    }

    .modal-footer {
        padding-right: 5vh;
        font-size: 1.5vh;
    }

    .btn-primary {
        font-size: 1.5vh;
    }
   .mainlogo {
    height: 13vh;
    width: 12vh;

   }
   
    
   
    


   #footer {
    font-size: 1.5vh;
    
   }
   .youtube-video {
    aspect-ratio: 16 / 9;
    width: 90%;
  }
   .instagram-media {
    width: 15vh;
   }
.figma {
    aspect-ratio: 16 / 9;
    width: 90%;
  }

   .container-banner {
  height: 10vh;
   
    z-index: 1;
}
.specialclass {
    padding-right: 7vh;

}
}
/* Tablet Styles */
@media (min-width: 768px) and (max-width: 1024px) {
    body {
        font-size: 110%;
    }
    .nav-item >a {
    font-size: 1.2vh;
   }
    .navbar-brand {
        font-size: 130%;
    }

    .navbar-nav > a {
        font-size: 100%;
    }

    .banner {
        background-size: cover;
        height: 60vh;
        width: 100%;
        padding-top: 15vh;
    }

    #banner {
        padding: 40vh 2rem 70vh; 
    }

    .container {
        text-align: left; 
    }
/*  cite https://getbootstrap.com/docs/5.3/utilities/flex/#enable-flex-behaviors */
    .d-flex {
        flex-direction: column; /* Stack items vertically for tablet screens */
        align-items: flex-start; /* Align items to the left */
    }

    .container, .container-fluid {
        padding-top: 2vh;
        padding-bottom: 2vh;
    }

    .display-1 {
        font-size: 7vh;
    }

    .display-5 {
        font-size: 3vh;
        text-align: left;
    }

    .display-3 {
        font-size: 5.6vh;
    }

    .display-6 {
        font-size: 3vh;
    }

    .portrait {
        width: 500vh;
        padding-left: 8vh;
    }

    .card img {
        height: 40vh;
    }

    .modal-content {
        padding: 2vh;
        width: 100%;
        max-width: 900px;
        min-width: 600px;
        border-radius: 10px;
        background-size: cover;
    }

    .modal-body {
        font-size: 3vh;
    }

    .modal-footer {
        padding-right: 7vh;
        font-size: 2vh;
    }

    .btn-primary {
        font-size: 2vh;
    }

    .mainlogo {
        height: 25vh;
        width: 22vh;
    }

    .about {
        padding: 14vh 0;
    }

    .abouttext {
        font-size: 2.0vh;
        text-align: justify;
    }

    #footer {
        font-size: 3vh;
        padding-left: 12vh;
        padding-right: 22vh;
    }

    .iframe {
        width: 55vh;
    }
    
    .instagram-media {
        width: 30vh;

    }
    .youtube-video {
        aspect-ratio: 16 / 9;
        width: 90%;
    }
    .cardbody {
        font-size: 3vh;
        
    }
}

/* Desktop  */
@media (min-width: 1024px) and (max-width: 1440px) {
    body {
        font-size: 100%;
    }

   
    .navbar-brand {
        font-size: 100%;
    }

    

    .banner {
        background-size: cover;
        height: 60vh;
        width: 100%;
        padding-top: 20vh;
    }

   

    .container {
        text-align: left; /* Align text to the left */
    }

    .d-flex {
        flex-direction: row; /* Stack items horizontally for larger screens cite: https://getbootstrap.com/docs/5.3/utilities/flex/*/ 
        align-items: center; /* Align items to the center */
    }

    .container, .container-fluid {
        padding-top: 1vh;
        padding-bottom: 3vh;
    }

    .mainlogo {
        height: 25vh;
        width: 22vh;
    }
    .portrait {
        width: 75%;
        padding-right: 2vh;
    }

   
    .display-1 {
        font-size: 13vh;
    }

    .display-5 {
        font-size: 3vh;
    }

    .display-3 {
        font-size: 7.6vh;
    }

    .display-6 {
        font-size: 3vh;
    }
    

   
}
   

  /* Desktop larger screens  */
@media (min-width: 1441px) and (max-width: 1920px) {
    body {
        font-size: 100%;
    }

   
    .navbar-brand {
        font-size: 170%;
        padding-right: 1vh;
    }

    
    .nav-item >a {
        font-size: 2.2vh;
        padding-left: 10vh;
       }
    .banner {
        background-size: cover;
        height: 60vh;
        width: 100%;
        padding-top: 20vh;
    }

   
    .display-1 {
        font-size: 11vh;
    }

    .display-5 {
        font-size: 6.6vh;
    }

    .display-3 {
        font-size: 6.6vh;
    }

    .display-6 {
        font-size: 3vh;
    }

    .container {
        text-align: left; /* Align text to the left */
    }

    .d-flex {
        flex-direction: row; /* Stack items horizontally for larger screens cite: https://getbootstrap.com/docs/5.3/utilities/flex/*/ 
        align-items: center; /* Align items to the center */
    }

    .container, .container-fluid {
        padding-top: 1vh;
        padding-bottom: 1vh;
        padding-right: 50h;
    }

    
    .portrait {
        width: 75%;
        padding-left: 5vh;
    }
}
   
/* Desktop larger screens  */
@media (min-width: 1921px) and (max-width: 2560px) {
    body {
        font-size: 100%;
    }

   
    .navbar-brand {
        font-size: 120%;
        padding-right: 10vh;
    }

    
    .nav-item >a {
        font-size: 2.vh;
        padding-left: 10vh;
       }
    .banner {
        background-size: cover;
        height: 60vh;
        width: 100%;
        padding-top: 20vh;
    }

   
    .display-1 {
        font-size: 10vh;
    }

    .display-5 {
        font-size: 6.6vh;
    }

    .display-3 {
        font-size: 6.6vh;
    }

    .display-6 {
        font-size: 3vh;
    }

    .container {
        text-align: left; /* Align text to the left */
    }

    .d-flex {
        flex-direction: row; /* Stack items horizontally for larger screens cite: https://getbootstrap.com/docs/5.3/utilities/flex/*/ 
        align-items: center; /* Align items to the center */
    }

    .container, .container-fluid {
        padding-top: 1vh;
        padding-bottom: 2vh;
        padding-right: 50h;
    }

    .modal-content {
        align-self: center;
        background-color: rgba(255, 123, 0, 0.945);
        color: rgb(0, 0, 0);
        width: 100%;
        max-width: 1920px;
        min-width: 1500px;
        padding: 5vh;
        border-radius: 10px;
        background-size: cover;
    }
    .portrait {
        width: 75%;
        padding-left: 5vh;
    }

    .modal-body {
        font-size: 1vh;
    }

    .modal-footer {
        
        font-size: 1.5vh;
    }
}
   